# In-game ranking

### Implementation

```lua
--// In-game ranking commands
funcs:EnableCommands("YOURPREFIXHERE") --//YOUR PREFIX I.E "!" (default is "!")

--// In-game ranking UI
funcs:EnableUI()
```

### Usage

#### In-game ranking commands

In chat run the following you can run the following commands commands:

```
<prefix>promote username
<prefix>demote username
<prefix>fire username
<prefix>setrank username rankId
```

#### In-game ranking UI

1. Walk up to the player.
2. Click on the player.
3. Select desired option.

### Additional settings

#### Rank limiting

```lua
funcs.minRank = 1 --// DEFAULT is 255
funcs.maxRank = 255 --// DEFAULT is 255
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vibez.dev/commands/roblox/systems/in-game-ranking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
